Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.transport.udp
Class UDPPacketReader.RelayResponseReader

    java.lang.Object
      net.i2p.router.transport.udp.UDPPacketReader.RelayResponseReader

Enclosing class:
  UDPPacketReader

    public class UDPPacketReader.RelayResponseReader

extends Object

Help read the RelayResponse payload

Constructor Summary
`UDPPacketReader.RelayResponseReader()`

Method Summary
`void` | `readAliceIP(byte[] target, int targetOffset)`
`int` | `readAliceIPSize()`
`int` | `readAlicePort()`
`void` | `readCharlieIP(byte[] target, int targetOffset)` what IP charlie is reachable on
`int` | `readCharlieIPSize()`
`int` | `readCharliePort()` what port charlie is reachable on
`long` | `readNonce()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDPPacketReader.RelayResponseReader

    public UDPPacketReader.RelayResponseReader()

Method Detail

### readCharlieIPSize

    public int readCharlieIPSize()

### readCharlieIP

    public void readCharlieIP(byte[] target,
                              int targetOffset)

  what IP charlie is reachable on

### readCharliePort

    public int readCharliePort()

  what port charlie is reachable on

### readAliceIPSize

    public int readAliceIPSize()

### readAliceIP

    public void readAliceIP(byte[] target,
                            int targetOffset)

### readAlicePort

    public int readAlicePort()

### readNonce

    public long readNonce()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD